@charset "utf-8";
@import url('https://fonts.googleapis.com/css?family=Open+Sans:400,700');

html,
body {
    height: 100%;
    margin: 0;
    padding: 0;
    background-color: #eaeaea;
    font-family: 'Open Sans';
}
#header {
    position: fixed;
    width: 100%;
    background-color: #E84A27;
    height: 50px;
    z-index: 2;
}
#map {
    height: 100%;
    width: 70%;
    float: left;
}
#event-list {
    float: right;
    position: relative;
    background-color: #060F23;
    width: 30%;
    height: 100%;
    overflow: scroll;
}
#search {
    position: relative;
    width: 70%;
    top: 13%;
    margin: 0 auto;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;
}
.filter {
    width: 99%;
    padding: 10px;
    font-size: 0.9em;
    border-radius: 5px;
    border: 0;
    margin-bottom:15px;
}
.submit {
    width: 105%;
    background-color: #E84A27;
    color: white;
    padding: 10px;
    font-size: 0.9em;
    border-radius: 5px;
    border: 3px solid #E84A27;
    font-weight: bold;
}
.submit:hover {
    background-color: #13294B;
    border: 3px solid #13294B;
    box-shadow: 5px 6px 1px #364966;
}
.eventform {
    padding: 5px;
}
.submitform, .submitdate {
    padding: 10px;
    font-size: 0.8em;
    border-radius: 2px;
    border: 1px solid #BDBDBD;
    margin: 5px;
}
.submitform {
    width: 92%;
}
.submitdate {
    width: 42%;
}
input[type=reset], input[type=submit] {
    width: 20%;
    padding: 12px;
    margin-left: 5px;
    color: white;
    font-size: 0.8em;
    border: 0;
    border-radius: 3px;
    font-weight: bold;
}
input[type=reset] {
    background-color: #13294B;
}
input[type=reset]:hover {
    box-shadow: 3px 4px 1px #364966;
}
input[type=submit] {
    background-color: #E84A27;
}
input[type=submit]:hover {
    box-shadow: 3px 4px 1px #E0E0E0;
}
h1 {
    font-family: 'Open Sans';
    font-size: 1.3em;
    color: white;
    padding: 0 0 0 15px;
}
h2 {
    font-size: 1.2em;
    font-weight:bold;
    padding-left: 10px;
    color: #EB6547;
}
#prompt {
    font-size: 0.8em;
    padding-left: 10px;
    color: white;
}
#events {
    position: relative;
    width: 80%;
    top: 17%;
    margin: 0 auto;
}
.event {
    background-color: white;
    border: 1px solid #cccccc;
    padding: 15px;
    margin: 15px;
    border-radius: 6px;
    margin-bottom: 30px;
}
.event:hover {
    box-shadow: 6px 8px 1px #E84A27;
}
.event-date:before {
    content: "\f133"; 
    font-family: FontAwesome;
    padding-right: 6px;
    color: #5A6981;
}
.event-date {
    display: inline-block;
    text-align: left;
    font-weight: bold;
    font-size: 1em;
}
.event-time:before {
    content: "\f017"; 
    font-family: FontAwesome;
    padding-right: 6px;
    color: #5A6981;
}
.event-time {
    display: inline-block;
    font-weight: bold;
    float: right;
    font-size: 1em;
}
.event-title {
    padding-top: 10px;
    font-weight: bold;
    font-size: 1em;
    color: #E84A27;
}
.event-title a:link, a:visited, a:active {
    color: #E84A27;
    text-decoration: none;
}
.event-title a:hover {
    color: #424242;
}
event-title:hover {
    color: #E84A27;
}
.event-location:before {
    content: "\f041"; 
    font-family: FontAwesome;
    padding-right: 6px;
    font-size: 1em;
    color: #0E1F3B;
}
.event-location {
    position:relative;
    padding-top: 7px;
    font-size: 0.85em;
    font-weight: bold;
    color: #5A6981;
}
.event-desc {
    padding-top: 10px;
    font-size: 0.8em;
    color: #424242;
}
.event-details {
    padding-top: 10px;
    font-size: 0.8em;
    color: #5A6981;
}
.infobox-wrapper {
    display:none;
}
.infoBox {
    font-family: 'Open Sans';
    border: 8px solid #E84A27;
    background: #13294B;
    color: #fff;
    font-size:1.1em;
    padding: 0.8em 2em;
    border-radius: 4px;
}
.modal {
    display: none; 
    position: fixed; 
    z-index: 1; 
    padding-top: 100px; 
    left: 0;
    top: 0;
    width: 100%;
    height: 100%; 
    overflow: auto; 
    background-color: rgb(0,0,0); 
    background-color: rgba(0,0,0,0.6);
}
.modal-content {
    border-radius: 5px;
    min-width: 350px;
    background-color: #060F23;
    margin: auto;
    padding: 20px;
    width: 450px;
    height: auto;
}
.close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}
.close:hover,
.close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}
@media only screen and (max-width: 600px) {
    #map {
        width: 0;
    }  
    #event-list {
        width: 100%;
    }
    .modal-content {
        max-width: 380px;
        width: 380px;
    }
    .submitdate {
        width: 40.7%;
    }
}
@media only screen and (min-width: 601px) and (max-width: 1180px) {
    #map {
        width: 50%;
    }  
    #event-list {
        width: 50%;
    }
}